OgreAnimationTrack.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreSimpleSpline.h"`
`#include "OgreRotationalSpline.h"`
`#include "OgreKeyFrame.h"`
`#include "OgreAnimable.h"`
`#include "OgrePose.h"`

Go to the source code of this file.

## Classes

class | Ogre::TimeIndex
| Time index object used to search keyframe at the given position. More...
class | Ogre::AnimationTrack
| A 'track' in an animation sequence, i.e. More...
class | Ogre::AnimationTrack::Listener
| Listener allowing you to override certain behaviour of a track, for example to drive animation procedurally. More...
class | Ogre::NumericAnimationTrack
| Specialised AnimationTrack for dealing with generic animable values. More...
class | Ogre::NodeAnimationTrack
| Specialised AnimationTrack for dealing with node transforms. More...
struct | Ogre::NodeAnimationTrack::Splines
class | Ogre::VertexAnimationTrack
| Specialised AnimationTrack for dealing with changing vertex position information. More...

## Namespaces

namespace | Ogre

## Enumerations

enum | Ogre::VertexAnimationType { Ogre::VAT_NONE = 0, Ogre::VAT_MORPH = 1, Ogre::VAT_POSE = 2 }
| Type of vertex animation. More...

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:24